安装和配置您的工具链 - Amazon SDK for .NET
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

是否要将 .NET 应用程序部署到Amazon通过几个简单点击即可? 尝试我们的新.NET CLI 工具为了简化部署体验!阅读我们的博客帖子然后提交反馈GitHub

有关更多信息,请参阅部署工具

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

安装和配置您的工具链

使用Amazon SDK for .NET,您必须已安装某些开发工具。

注意

如果您完成了开发工具包的快速启动,则可能已经安装了其中一些工具。如果您没有完成快速启动,并且刚开始接触上的 .NET 开发Amazon,请考虑首先这样做,以便介绍Amazon SDK for .NET.

跨平台开发

对于 Windows、Linux 或 macOS 上的跨平台 .NET 开发,需要以下内容:

  • Microsoft .NET Core 开发工具包,版本 2.1、3.1 或更高版本,其中包括 .NET 命令行界面 (CLI) (dotnet) 和 .NET Core 运行时。

Windows 与 Visual Studio 和 .NET Core .NET Core

对于在 Windows 使用 Visual Studio 和 .NET Core 进行开发,需要以下内容:

  • Microsoft .NET Core 2.1、3.1 或更高版本

    默认情况下,安装新版本的 Visual Studio 时通常会包含此功能。

下一步

设置项目